Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.addon.optimization.AuditSpaceSize Class Reference

Structure of audit space, the unit is byte type. More...

Inherits SystemIDisposable.

## Public Member Functions
| AuditSpaceSize ()
| Constructor.

## Properties
int | acroforms`[get, set]`
| Total size of AcroForm data in bytes. More...
int | bookmarks`[get, set]`
| Total size of bookmarks data in bytes. More...
int | color_space`[get, set]`
| Total size of color space definitions in bytes. More...
int | comments_and_3d_contents`[get, set]`
| Total size of comments and 3D contents in bytes. More...
int | content_streams`[get, set]`
| Total size of all page content streams in bytes. More...
int | cross_ref_tables`[get, set]`
| Total size of the cross-reference table in bytes. More...
int | embed_files`[get, set]`
| Total size of embedded file streams in bytes. More...
int | extend_graphics_states`[get, set]`
| Total size of extended graphics states in bytes. More...
int | fonts`[get, set]`
| Total size of embedded fonts in bytes. More...
int | images`[get, set]`
| Total size of embedded images in bytes. More...
int | link_annots`[get, set]`
| Total size of link annotations in bytes. More...
int | named_destnations`[get, set]`
| Total size of named destinations in bytes. More...
int | pattern_infos`[get, set]`
| Total size of pattern objects in bytes. More...
int | piece_infos`[get, set]`
| Total size of piece information in bytes. More...
int | shading_pattern_infos`[get, set]`
| Total size of shading pattern information in bytes. More...
int | structure_infos`[get, set]`
| Total size of structural information in bytes. More...
int | thumbs`[get, set]`
| Total size of page thumbnails in bytes. More...
int | web_infos`[get, set]`
| Total size of web-related metadata in bytes. More...
int | x_object_forms`[get, set]`
| Total size of XObject Forms in bytes. More...

## Detailed Description

Structure of audit space, the unit is byte type.

## Property Documentation

## ◆ acroforms

int foxit.addon.optimization.AuditSpaceSize.acroforms
| get set

Total size of AcroForm data in bytes.

AcroForms define interactive form fields in PDF documents.

## ◆ bookmarks

int foxit.addon.optimization.AuditSpaceSize.bookmarks
| get set

Total size of bookmarks data in bytes.

Bookmarks (or outlines) help navigate a PDF document's content hierarchy.

## ◆ color_space

int foxit.addon.optimization.AuditSpaceSize.color_space
| get set

Total size of color space definitions in bytes.

Includes all color space objects like ICC profiles, CalRGB, DeviceN, etc.

## ◆ comments_and_3d_contents

int foxit.addon.optimization.AuditSpaceSize.comments_and_3d_contents
| get set

Total size of comments and 3D contents in bytes.

Includes PDF comments and embedded 3D object data, such as U3D or PRC models.

## ◆ content_streams

int foxit.addon.optimization.AuditSpaceSize.content_streams
| get set

Total size of all page content streams in bytes.

Content streams include the actual PDF instructions for rendering page content.

## ◆ cross_ref_tables

int foxit.addon.optimization.AuditSpaceSize.cross_ref_tables
| get set

Total size of the cross-reference table in bytes.

The cross-reference table maps object numbers to byte offsets in the PDF file.

## ◆ embed_files

int foxit.addon.optimization.AuditSpaceSize.embed_files
| get set

Total size of embedded file streams in bytes.

Embedded files include attachments such as spreadsheets, text files, or other documents.

## ◆ extend_graphics_states

int foxit.addon.optimization.AuditSpaceSize.extend_graphics_states
| get set

Total size of extended graphics states in bytes.

Extended graphics states control rendering properties like transparency, blend modes, and line styles.

## ◆ fonts

int foxit.addon.optimization.AuditSpaceSize.fonts
| get set

Total size of embedded fonts in bytes.

Includes both fully and partially embedded font programs.

## ◆ images

int foxit.addon.optimization.AuditSpaceSize.images
| get set

Total size of embedded images in bytes.

Includes all raster images used across the document.

## ◆ link_annots

int foxit.addon.optimization.AuditSpaceSize.link_annots
| get set

Total size of link annotations in bytes.

Includes all hyperlink and navigation annotations within the document.

## ◆ named_destnations

int foxit.addon.optimization.AuditSpaceSize.named_destnations
| get set

Total size of named destinations in bytes.

Named destinations are predefined navigation targets used by links and outlines.

## ◆ pattern_infos

int foxit.addon.optimization.AuditSpaceSize.pattern_infos
| get set

Total size of pattern objects in bytes.

Includes tiling and shading patterns used for fills and strokes.

## ◆ piece_infos

int foxit.addon.optimization.AuditSpaceSize.piece_infos
| get set

Total size of piece information in bytes.

PieceInfo is used by some workflows to store private application data.

## ◆ shading_pattern_infos

int foxit.addon.optimization.AuditSpaceSize.shading_pattern_infos
| get set

Total size of shading pattern information in bytes.

Covers all shading patterns used for gradient fills.

## ◆ structure_infos

int foxit.addon.optimization.AuditSpaceSize.structure_infos
| get set

Total size of structural information in bytes.

Structural information includes tagged PDF structures used for accessibility and reflow.

## ◆ thumbs

int foxit.addon.optimization.AuditSpaceSize.thumbs
| get set

Total size of page thumbnails in bytes.

Thumbnails are small preview images associated with pages.

## ◆ web_infos

int foxit.addon.optimization.AuditSpaceSize.web_infos
| get set

Total size of web-related metadata in bytes.

Web info may include additional metadata used for web viewing or cataloging.

## ◆ x_object_forms

int foxit.addon.optimization.AuditSpaceSize.x_object_forms
| get set

Total size of XObject Forms in bytes.

XObject Forms are reusable content streams that can be drawn multiple times.